/*
  #include module with tail fit version 1
*/

double tail(double rho,double r)
{
  double A[4];

  A[0]=.18+rho;
  A[1]=0.5125-1.7*log(rho);
  A[2]=1.56*rho-2.1;
  A[3]=4.734+2.328*rho;

  return A[0]/exp(A[1]*(r-1))*cos(A[2]+A[3]*(r-1))/r;
}

double tailder(double rho,double r)
{
  double A[4];

  A[0]=.18+rho;
  A[1]=0.5125-1.7*log(rho);
  A[2]=1.56*rho-2.1;
  A[3]=4.734+2.328*rho;

  return
    -A[1]*A[0]/exp(A[1]*(r-1))*cos(A[2]+A[3]*(r-1))/r
    -A[3]*A[0]/exp(A[1]*(r-1))*sin(A[2]+A[3]*(r-1))/r
    -A[0]/exp(A[1]*(r-1))*cos(A[2]+A[3]*(r-1))/Sqr(r);
}

